/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-18-2011 09:34:34pm
Filepath: scripts\_custom\events and scenarios\Easter 2011\EasterEgg.cs
Lines of code: 31
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class EasterEggTrail: Item
	{
	
		[Constructable]
		public EasterEggTrail() : base( 10249 )
		{
			Hue = Utility.RandomList(41, 495, 567, 48, 131, 75, 1001, 1169, 1155, 1164, 1160, 1162, 2210, 1324, 1157, 1364, 1156, 2101, 1281, 1158, 1266, 1150, 1167, 1109, 33, 1420, 1644, 1359, 1166, 1165, 1172, 1168, 1175, 1152, 1161, 1151, 1154, 1153, 1177);
			Name = "An Easter Egg (Follow the Trail!)";
			Movable = false;
			Weight = 1.0;
			LootType=LootType.Blessed;			
		}

		public EasterEggTrail( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}